Subject: Re: [Patch][hw-breakpoint] Use generic hw-breakpoint interfaces for new PPC ptrace flags

From: "K.Prasad" <[email-masked]>
Date: Mon, 14 May 2012 15:54:38 +0530

On Mon, May 14, 2012 at 10:53:42AM +1000, Benjamin Herrenschmidt wrote:
> On Fri, 2012-05-11 at 14:13 +0530, K.Prasad wrote:
> 
> > +#ifdef CONFIG_HAVE_HW_BREAKPOINT
> > +	int ret, len = 0;
> > +	struct thread_struct *thread = &(child->thread);
> > +	struct perf_event *bp;
> > +	struct perf_event_attr attr;
> > +#endif /* CONFIG_HAVE_HW_BREAKPOINT */
> 
> "ret" is unused in that function, causing a warning which breaks the
> build since we have -Werror. I'm fixing that locally but be more careful
> next time please.
> 
> Ben.

Sorry about that warning, I clearly missed that. I guess you
do a custom build with -Werror flag enabled, unlike what the normal
Makefile does?

Thanks,
K.Prasad